Bug 238958 - CVE-2007-1865 ipv6_getsockopt_sticky copy_to_user leak
CVE-2007-1865 ipv6_getsockopt_sticky copy_to_user leak
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Don Howard
Martin Jenner
impact=important,source=redhat,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-04 03:39 EDT by Marcel Holtmann
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-06 19:51:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2007-05-04 03:39:03 EDT
A user can supply len < 0 in ipv6_getsockopt_sticky and cause a leak of kernel
memory. The len value is returned and then later used in do_ipv6_getsockopt().

Note You need to log in before you can comment on or make changes to this bug.